Package skyview.ops

# Class DirScan

java.lang.Object
skyview.ops.DirScan

public class DirScan extends Object
This class is intended to be used to clean up directories which accumulate files during SkyView operations. E.g., we might have java -cp skyview.jar:fits.jar skyview.ops.DirScan /web_chroot/cache/results/fits time=36000 largetime=60 large=10 recordFile="/data/logs/account/querystats" email="carina.d.kan@nasa.gov" mailCmd="./mailSender.pl" debug=true This cleans up all files after a specified time and files larger than after a specified number of MBs and after a possibly different specified amount of time. It appends information from SkyView FITS files files in a log file and sends an E-mail (using the specified Perl script) to a skyview user. It might be run hourly using a cron job.

## Constructor Summary

Constructors
Constructor
Description
`DirScan()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirScan

public DirScan()

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`